Bug 521968 - 64-bit debuginfo files missing from /etc/yum.repos.d/fedora-rawhide.repo
Summary: 64-bit debuginfo files missing from /etc/yum.repos.d/fedora-rawhide.repo
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release
Version: 12
Hardware: powerpc
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 21:30 UTC by Frank Ch. Eigler
Modified: 2013-01-10 05:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-28 23:28:56 UTC
Type: ---


Attachments (Terms of Use)

Description Frank Ch. Eigler 2009-09-08 21:30:23 UTC
Since ppc64 debuginfo files are segregated from ppc ones
for some reason, fedora-rawhide.repo needs to add something
other than $basearch as an alternative debuginfo repository.

See also bug #170986.

I have not determined whether this same problem exists for
releases (f11/f12), but it very welly might for ppc*.

Comment 1 Jesse Keating 2009-09-09 19:46:46 UTC
Debuginfo files cannot be multilib.  It just won't work.  We can't include them.

Comment 2 Frank Ch. Eigler 2009-09-09 19:52:27 UTC
I don't understand CANTFIX - after all I've already fixed it for my
own rawhide installation, as I described.  It required an extra
repository clause.

Comment 3 Frank Ch. Eigler 2009-09-09 19:54:27 UTC
Sorry, I note I didn't spell out my workaround for this problem.
It was adding this:

[rawhide-debuginfo64]
name=Fedora - Rawhide - Debug 64
failovermethod=priority
#baseurl=http://download.fedoraproject.org/pub/fedora/linux/development/ppc64/debug/
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=rawhide-debug&arch=ppc64
enabled=0
gpgcheck=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch

Which appears to work.  Making adding such an extra clause portably in the
fedora-release.spec file is an exercise for the reader.

Comment 4 Jesse Keating 2009-09-09 21:42:26 UTC
And adding such a repo will lead to many file conflicts.  The ppc64 debuginfo packages will conflict at a file level with the counterpart ppc32 debuginfo files.  We just simply can't enable both repos at the same time, not until the tools people figure out a way to make the debuginfo multilib friendly.

Comment 5 Frank Ch. Eigler 2009-09-09 21:49:11 UTC
Jesse, I still don't see the problem (certainly not a different one from
x86-64).

On my ppc64 box, both -debuginfo repos have been enabled.  Since the
machine does not have .ppc AND .ppc64 of the same RPM installed, yum
does the right thing and fetches the right debuginfo from the right
repo (kernel-foo from .ppc64 and the rest from .ppc).

Can you specify a problem scenario, so I can see in actuality what
you believe can't work?

Comment 6 Bug Zapper 2009-11-16 12:04:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Jesse Keating 2010-05-28 23:28:56 UTC
PPC is now a secondary arch, you'll have ot take up the issue with them.  We won't be doing anything for Fedora proper.


Note You need to log in before you can comment on or make changes to this bug.